import request from "@/util/oaRequest"

// 查询设计项目汇报概述列表
export async function listReportSummary(query) {
  return request({
    url: '/system/reportSummary/list',
    method: 'get',
    params: query
  })
}

// 查询设计项目汇报概述详细
export function getReportSummary(id) {
  return request({
    url: '/system/reportSummary/' + id,
    method: 'get'
  })
}

// 新增设计项目汇报概述
export function addReportSummary(data) {
  return request({
    url: '/system/reportSummary',
    method: 'post',
    data: data
  })
}

// 修改设计项目汇报概述
export function updateReportSummary(data) {
  return request({
    url: '/system/reportSummary',
    method: 'put',
    data: data
  })
}

// 删除设计项目汇报概述
export function delReportSummary(id) {
  return request({
    url: '/system/reportSummary/' + id,
    method: 'delete'
  })
}
